com.pixelmed.dicom

## Class SOPClassDescriptions

- java.lang.Object
- - com.pixelmed.dicom.SOPClassDescriptions

    public class SOPClassDescriptions
    extends java.lang.Object

A class of static methods to provide a means of describing SOP Classes with abbreviations and hman-readable descriptions.

### Method Summary

Methods
`static java.lang.String` `getAbbreviationFromUID(java.lang.String sopClassUID)`
`static java.lang.String` `getDescriptionFromUID(java.lang.String sopClassUID)`
`static void` `main(java.lang.String[] arg)` Unit test.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAbbreviationFromUID

    public static java.lang.String getAbbreviationFromUID(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  a short abbreviation describing the SOP Class, or an empty string if none

#### getDescriptionFromUID

    public static java.lang.String getDescriptionFromUID(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  a description of the SOP Class, or an empty string if none

#### main

    public static void main(java.lang.String[] arg)

Unit test.

Parameters:
  `arg` - ignored